Package org.htmlunit

# Class HttpHeader

java.lang.Object
org.htmlunit.HttpHeader

public final class HttpHeader extends Object
Various constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCEPT`
  Accept.
  `static final String`
  `ACCEPT_ENCODING`
  Accept-Encoding.
  `static final String`
  `ACCEPT_ENCODING_LC`
  accept-encoding.
  `static final String`
  `ACCEPT_LANGUAGE`
  Accept-Language.
  `static final String`
  `ACCEPT_LANGUAGE_LC`
  accept-language.
  `static final String`
  `ACCEPT_LC`
  Accept-LC.
  `static final String`
  `ACCESS_CONTROL_ALLOW_CREDENTIALS`
  Access-Control-Allow-Credentials.
  `static final String`
  `ACCESS_CONTROL_ALLOW_HEADERS`
  Access-Control-Allow-Headers.
  `static final String`
  `ACCESS_CONTROL_ALLOW_ORIGIN`
  Access-Control-Allow-Origin.
  `static final String`
  `ACCESS_CONTROL_REQUEST_HEADERS`
  Access-Control-Request-Headers.
  `static final String`
  `ACCESS_CONTROL_REQUEST_METHOD`
  Access-Control-Request-Method.
  `static final String`
  `CACHE_CONTROL`
  Cache-Control.
  `static final String`
  `CONNECTION`
  Connection.
  `static final String`
  `CONNECTION_LC`
  connection.
  `static final String`
  `CONTENT_DISPOSITION`
  Connection.
  `static final String`
  `CONTENT_LANGUAGE_LC`
  content-language.
  `static final String`
  `CONTENT_LENGTH`
  Content-Length.
  `static final String`
  `CONTENT_LENGTH_LC`
  content-length.
  `static final String`
  `CONTENT_SECURIRY_POLICY`
  Content-Security-Policy.
  `static final String`
  `CONTENT_TYPE`
  Content-Type.
  `static final String`
  `CONTENT_TYPE_LC`
  content-type.
  `static final String`
  `COOKIE`
  Cookie.
  `static final String`
  `COOKIE_LC`
  cookie.
  `static final String`
  `DNT`
  DNT.
  `static final String`
  `ETAG`
  Etag.
  `static final String`
  `EXPIRES`
  Expires.
  `static final String`
  `HOST`
  Host.
  `static final String`
  `HOST_LC`
  host.
  `static final String`
  `IF_MODIFIED_SINCE`
  If-Modified-Since.
  `static final String`
  `IF_NONE_MATCH`
  If-None-Match.
  `static final String`
  `LAST_MODIFIED`
  Last-Modified.
  `static final String`
  `ORIGIN`
  Origin.
  `static final String`
  `ORIGIN_LC`
  origin.
  `static final String`
  `PING_FROM`
  Ping-From.
  `static final String`
  `PING_TO`
  Ping-From.
  `static final String`
  `PRIORITY`
  Priority.
  `static final String`
  `REFERER`
  Referer.
  `static final String`
  `REFERER_LC`
  referer.
  `static final String`
  `SEC_CH_UA`
  sec-ch-ua.
  `static final String`
  `SEC_CH_UA_MOBILE`
  sec-ch-ua-mobile.
  `static final String`
  `SEC_CH_UA_PLATFORM`
  sec-ch-ua-platform.
  `static final String`
  `SEC_FETCH_DEST`
  Sec-Fetch-Dest.
  `static final String`
  `SEC_FETCH_MODE`
  Sec-Fetch-Mode.
  `static final String`
  `SEC_FETCH_SITE`
  Sec-Fetch-Site.
  `static final String`
  `SEC_FETCH_USER`
  Sec-Fetch-User.
  `static final String`
  `UPGRADE_INSECURE_REQUESTS`
  Upgrade-Insecure-Requests.
  `static final String`
  `USER_AGENT`
  User-Agent.
  `static final String`
  `USER_AGENT_LC`
  user-agent.
  `static final String`
  `X_FRAME_OPTIONS`
  X-Frame-Options.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REFERER

    public static final String REFERER
    Referer.
    See Also:
      - Constant Field Values

  - ### REFERER_LC

    public static final String REFERER_LC
    referer.
    See Also:
      - Constant Field Values

  - ### ORIGIN

    public static final String ORIGIN
    Origin.
    See Also:
      - Constant Field Values

  - ### ORIGIN_LC

    public static final String ORIGIN_LC
    origin.
    See Also:
      - Constant Field Values

  - ### CACHE_CONTROL

    public static final String CACHE_CONTROL
    Cache-Control.
    See Also:
      - Constant Field Values

  - ### LAST_MODIFIED

    public static final String LAST_MODIFIED
    Last-Modified.
    See Also:
      - Constant Field Values

  - ### ETAG

    public static final String ETAG
    Etag.
    See Also:
      - Constant Field Values

  - ### IF_NONE_MATCH

    public static final String IF_NONE_MATCH
    If-None-Match.
    See Also:
      - Constant Field Values

  - ### IF_MODIFIED_SINCE

    public static final String IF_MODIFIED_SINCE
    If-Modified-Since.
    See Also:
      - Constant Field Values

  - ### EXPIRES

    public static final String EXPIRES
    Expires.
    See Also:
      - Constant Field Values

  - ### ACCEPT

    public static final String ACCEPT
    Accept.
    See Also:
      - Constant Field Values

  - ### ACCEPT_LC

    public static final String ACCEPT_LC
    Accept-LC.
    See Also:
      - Constant Field Values

  - ### ACCEPT_LANGUAGE

    public static final String ACCEPT_LANGUAGE
    Accept-Language.
    See Also:
      - Constant Field Values

  - ### ACCEPT_LANGUAGE_LC

    public static final String ACCEPT_LANGUAGE_LC
    accept-language.
    See Also:
      - Constant Field Values

  - ### ACCEPT_ENCODING

    public static final String ACCEPT_ENCODING
    Accept-Encoding.
    See Also:
      - Constant Field Values

  - ### ACCEPT_ENCODING_LC

    public static final String ACCEPT_ENCODING_LC
    accept-encoding.
    See Also:
      - Constant Field Values

  - ### USER_AGENT

    public static final String USER_AGENT
    User-Agent.
    See Also:
      - Constant Field Values

  - ### USER_AGENT_LC

    public static final String USER_AGENT_LC
    user-agent.
    See Also:
      - Constant Field Values

  - ### HOST

    public static final String HOST
    Host.
    See Also:
      - Constant Field Values

  - ### HOST_LC

    public static final String HOST_LC
    host.
    See Also:
      - Constant Field Values

  - ### CONTENT_LENGTH

    public static final String CONTENT_LENGTH
    Content-Length.
    See Also:
      - Constant Field Values

  - ### CONTENT_LENGTH_LC

    public static final String CONTENT_LENGTH_LC
    content-length.
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE

    public static final String CONTENT_TYPE
    Content-Type.
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE_LC

    public static final String CONTENT_TYPE_LC
    content-type.
    See Also:
      - Constant Field Values

  - ### CONTENT_LANGUAGE_LC

    public static final String CONTENT_LANGUAGE_LC
    content-language.
    See Also:
      - Constant Field Values

  - ### COOKIE

    public static final String COOKIE
    Cookie.
    See Also:
      - Constant Field Values

  - ### COOKIE_LC

    public static final String COOKIE_LC
    cookie.
    See Also:
      - Constant Field Values

  - ### CONNECTION

    public static final String CONNECTION
    Connection.
    See Also:
      - Constant Field Values

  - ### CONNECTION_LC

    public static final String CONNECTION_LC
    connection.
    See Also:
      - Constant Field Values

  - ### CONTENT_DISPOSITION

    public static final String CONTENT_DISPOSITION
    Connection.
    See Also:
      - Constant Field Values

  - ### DNT

    public static final String DNT
    DNT.
    See Also:
      - Constant Field Values

  - ### UPGRADE_INSECURE_REQUESTS

    public static final String UPGRADE_INSECURE_REQUESTS
    Upgrade-Insecure-Requests.
    See Also:
      - Constant Field Values

  - ### SEC_FETCH_DEST

    public static final String SEC_FETCH_DEST
    Sec-Fetch-Dest.
    See Also:
      - Constant Field Values

  - ### SEC_FETCH_MODE

    public static final String SEC_FETCH_MODE
    Sec-Fetch-Mode.
    See Also:
      - Constant Field Values

  - ### SEC_FETCH_SITE

    public static final String SEC_FETCH_SITE
    Sec-Fetch-Site.
    See Also:
      - Constant Field Values

  - ### SEC_FETCH_USER

    public static final String SEC_FETCH_USER
    Sec-Fetch-User.
    See Also:
      - Constant Field Values

  - ### SEC_CH_UA

    public static final String SEC_CH_UA
    sec-ch-ua.
    See Also:
      - Constant Field Values

  - ### SEC_CH_UA_MOBILE

    public static final String SEC_CH_UA_MOBILE
    sec-ch-ua-mobile.
    See Also:
      - Constant Field Values

  - ### SEC_CH_UA_PLATFORM

    public static final String SEC_CH_UA_PLATFORM
    sec-ch-ua-platform.
    See Also:
      - Constant Field Values

  - ### PRIORITY

    public static final String PRIORITY
    Priority.
    See Also:
      - Constant Field Values

  - ### ACCESS_CONTROL_REQUEST_METHOD

    public static final String ACCESS_CONTROL_REQUEST_METHOD
    Access-Control-Request-Method.
    See Also:
      - Constant Field Values

  - ### ACCESS_CONTROL_REQUEST_HEADERS

    public static final String ACCESS_CONTROL_REQUEST_HEADERS
    Access-Control-Request-Headers.
    See Also:
      - Constant Field Values

  - ### ACCESS_CONTROL_ALLOW_ORIGIN

    public static final String ACCESS_CONTROL_ALLOW_ORIGIN
    Access-Control-Allow-Origin.
    See Also:
      - Constant Field Values

  - ### ACCESS_CONTROL_ALLOW_CREDENTIALS

    public static final String ACCESS_CONTROL_ALLOW_CREDENTIALS
    Access-Control-Allow-Credentials.
    See Also:
      - Constant Field Values

  - ### ACCESS_CONTROL_ALLOW_HEADERS

    public static final String ACCESS_CONTROL_ALLOW_HEADERS
    Access-Control-Allow-Headers.
    See Also:
      - Constant Field Values

  - ### PING_FROM

    public static final String PING_FROM
    Ping-From.
    See Also:
      - Constant Field Values

  - ### PING_TO

    public static final String PING_TO
    Ping-From.
    See Also:
      - Constant Field Values

  - ### X_FRAME_OPTIONS

    public static final String X_FRAME_OPTIONS
    X-Frame-Options.
    See Also:
      - Constant Field Values

  - ### CONTENT_SECURIRY_POLICY

    public static final String CONTENT_SECURIRY_POLICY
    Content-Security-Policy.
    See Also:
      - Constant Field Values